
%global meadversion 2.1.2
%global namedversion 2.1.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-activation}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.2.redhat-00001

Name:           %{?scl_prefix}jakarta-activation
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        javax.activation API v.1.2
Group:          Development/Java

%if %with mead
Source100: jakarta.activation-api-2.1.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.activation-api-2.1.2.redhat-00001-sources.jar
Source103: jakarta.activation-api-2.1.2.redhat-00001.pom
Source104: jakarta.activation-api-2.1.2.redhat-00001.jar
%endif

License:        BSD
URL:            https://github.com/eclipse-ee4j/jaf
Provides:       %{?scl_prefix}activation = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JavaBeans Activation Framework distribution.

%if %with javadoc
%package javadoc
Summary:        Javadoc for activation
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.activation-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.activation-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.activation-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.activation-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.activation-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.activation-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.activation-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.activation-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.activation-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.activation-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.activation-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.activation-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/jakarta.activation-api-%{namedversion}.jar
%{_javadir}/jakarta.activation-api.jar
%if %with javadoc
%{_javadir}/jakarta.activation-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.activation-api-javadoc.jar
%endif
%{_javadir}/jakarta.activation-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.activation-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.activation-api-%{namedversion}
%{_javadocdir}/jakarta.activation-api
%endif

%changelog
* Wed May 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.2-1.redhat_00001.1
- Built by CPaaS

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.1-1.redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-2.redhat_00002.1
- Built by CPaaS

* Tue Nov 08 2022 Permaine Cheung <pcheung@redhat.com> - 2.1.0-1.redhat_00002.1
- 2.1.0.redhat-00002

* Wed Jul 20 2022 Yong Yang <yyang@redhat.com> - 1.2.2-1.redhat_00001.1
- Rename to jakarta-activation
